	//----------TFinalScore开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：TFinalScore 
        /// </summary>
		[Table("TFinalScore")]
        public partial class TFinalScore: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("StageID")]   
				[DataMember]  
			    public string StageID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UserID")]   
				[DataMember]  
			    public string UserID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UserName")]   
				[DataMember]  
			    public string UserName  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("SelfScore")]   
				[DataMember]  
			    public decimal? SelfScore  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("EachScore")]   
				[DataMember]  
			    public decimal? EachScore  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("EffortScore")]   
				[DataMember]  
			    public decimal? EffortScore  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("CodeScore")]   
				[DataMember]  
			    public decimal? CodeScore  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("HealthScore")]   
				[DataMember]  
			    public decimal? HealthScore  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("RewardScore")]   
				[DataMember]  
			    public decimal RewardScore  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("TotalScore")]   
				[DataMember]  
			    public decimal TotalScore  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：TFinalScore 
            /// </summary>
            public class TFinalScoreMap : EntityTypeConfiguration<TFinalScore>
			{
                public TFinalScoreMap()
                {
					this.ToTable("TFinalScore");
												this.HasKey(t => t.ID);
													 this.Property(t => t.StageID).HasColumnName("StageID").IsRequired();
													 this.Property(t => t.UserID).HasColumnName("UserID").IsRequired();
													 this.Property(t => t.UserName).HasColumnName("UserName").IsRequired();
													 this.Property(t => t.SelfScore).HasColumnName("SelfScore");
													 this.Property(t => t.EachScore).HasColumnName("EachScore");
													 this.Property(t => t.EffortScore).HasColumnName("EffortScore");
													 this.Property(t => t.CodeScore).HasColumnName("CodeScore");
													 this.Property(t => t.HealthScore).HasColumnName("HealthScore");
													 this.Property(t => t.RewardScore).HasColumnName("RewardScore").IsRequired();
													 this.Property(t => t.TotalScore).HasColumnName("TotalScore").IsRequired();
													 this.Property(t => t.Sort).HasColumnName("Sort").IsRequired();
										}
			}**/

	}

	//----------TFinalScore结束----------

	